# Class MetalBorders.RolloverButtonBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.metal.MetalBorders.ButtonBorder
javax.swing.plaf.metal.MetalBorders.RolloverButtonBorder

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Enclosing class:
  `MetalBorders`

public static class MetalBorders.RolloverButtonBorder extends MetalBorders.ButtonBorder
The class represents the border of a rollover `Button`.

- ## Field Summary

  ### Fields declared in class MetalBorders.ButtonBorder

  `borderInsets`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RolloverButtonBorder()`
  Constructs a `RolloverButtonBorder`.

- ## Method Summary

  ### Methods declared in class AbstractBorder

  `getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RolloverButtonBorder

    public RolloverButtonBorder()
    Constructs a `RolloverButtonBorder`.